"use strict";

// Теоретический вопрос

// Описать своими словами для чего вообще нужны функции в программировании.
// Ответ: Очень часто нужно повторять в разных частях программы одинаковые действия и для этого
// на помощь приходят функции, которые являются основными составляющими элементами любой программы.
// Описать своими словами, зачем в функцию передавать аргумент.
// Ответ: Чтобы вызвать функцию в нее передаются аргументы, а именно пердаются значения для того чтобы задать
// необходимые параметры, как исходящие данные.

// Задание

// Реализовать функцию, которая будет производить математические операции
// с введеными пользователем числами. Задача должна быть реализована на языке javascript,
// без использования фреймворков и сторонник библиотек (типа Jquery).

// Технические требования:
// Считать с помощью модального окна браузера два числа.
// Считать с помощью модального окна браузера математическую операцию, которую нужно совершить.
// Сюда может быть введено +, -, *, /.
// Создать функцию, в которую передать два значения и операцию.
// Вывести в консоль результат выполнения функции.
// Необязательное задание продвинутой сложности:
// После ввода данных добавить проверку их корректности. Если пользователь не ввел числа,
// либо при вводе указал не числа, - спросить оба числа заново (при этом значением по умолчанию
// для каждой из переменных должна быть введенная ранее информация).

let number1;
let number2;
let operator;
do {
  number1 = +prompt("Input number 1");
  number2 = +prompt("Input number 2");
} while (
  (!number1 && number1 !== 0) ||
  (!number2 && number2 !== 0) ||
  Number.isNaN(+number1) ||
  Number.isNaN(+number2)
);
do {
  operator = prompt("Input the operator");
} while (
  operator !== "+" &&
  operator !== "-" &&
  operator !== "*" &&
  operator !== "/"
);
function operation(firsNum, secondNum, symbol) {
  if (symbol === "+") {
    return firsNum + secondNum;
  } else if (symbol === "-") {
    return firsNum - secondNum;
  } else if (symbol === "*") {
    return firsNum * secondNum;
  } else if (symbol === "/") {
    return firsNum / secondNum;
  }
}
console.log(operation(number1, number2, operator));
